<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <!--<InvariantGlobalization>true</InvariantGlobalization>-->
	<InvariantGlobalization>false</InvariantGlobalization>
    <PublishAot>true</PublishAot>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
	<JsonSerializerIsReflectionEnabledByDefault>true</JsonSerializerIsReflectionEnabledByDefault>
  </PropertyGroup>
	
  <ItemGroup>
    <Compile Remove="Communicate\DisperseSinmenS7\**" />
    <Compile Remove="Communicate\OpcUaClient\**" />
    <Content Remove="Communicate\DisperseSinmenS7\**" />
    <Content Remove="Communicate\OpcUaClient\**" />
    <EmbeddedResource Remove="Communicate\DisperseSinmenS7\**" />
    <EmbeddedResource Remove="Communicate\OpcUaClient\**" />
    <None Remove="Communicate\DisperseSinmenS7\**" />
    <None Remove="Communicate\OpcUaClient\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="WebApis\ValuesController.cs" />
    <Compile Remove="DataHandle\DataExtractOpc.cs" />
    <Compile Remove="Models\HT_Service_Log.cs" />
    <Compile Remove="Models\LogAlarm.cs" />
    <Compile Remove="Models\LogEvent.cs" />
    <Compile Remove="Models\LogHdatum.cs" />
    <Compile Remove="Models\Membership.cs" />
    <Compile Remove="Models\MetaCondition.cs" />
    <Compile Remove="Models\MetaScale.cs" />
    <Compile Remove="Models\MetaSubCondition.cs" />
    <Compile Remove="Models\RegisterModule.cs" />
    <Compile Remove="Models\ScadaContext.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="S7ERRORCODE.txt" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="S7ERRORCODE.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <!--<ItemGroup>
    <None Remove="rd.xml" />
  </ItemGroup>-->

  <ItemGroup>
    <RdXmlFile Include="rd.xml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="libplctag" Version="1.2.0" />
    <PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="8.0.0" />
    <PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" Version="8.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.19.5" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="SqlSugarCore" Version="5.1.4.166" />
    <PackageReference Include="System.IO.Ports" Version="8.0.0" />
  </ItemGroup>

</Project>
